RabbitMQ3 causes deployment issues

Bug #1278336 reported by Dmitry Sokolov on 2014-02-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
Medium
Roman Vyalov

Bug Description

Create cluster from custom iso with rabbit v.3

Deploy env with 3XControllers and 2XCompute nodes.

Tasks ui status is hangs on deploy state.

First investigate shows that problem is in nailgun's receiver.

Try reproduce on MultiNode env.

Nastya Urlapova (aurlapova) wrote :

/home/alan/Downloads/rmq3v2.iso

Evgeniy L (rustyrobot) wrote :

Please, set 'status' to 'In progress' if you started to work on this task.
Thanks.

Dmitry Sokolov (demon-mhm) wrote :

It's postponed due to failed attempt for fast moving to rabiitMQ 3.

Mike Scherbakov (mihgen) on 2014-02-13
Changed in fuel:
milestone: 4.1 → 5.0
Evgeniy L (rustyrobot) on 2014-02-27
Changed in fuel:
status: New → Confirmed
assignee: Dmitry Sokolov (demon-mhm) → Fuel Python Team (fuel-python)
Łukasz Oleś (loles) on 2014-03-12
Changed in fuel:
assignee: Fuel Python Team (fuel-python) → Łukasz Oleś (loles)
Changed in fuel:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/86366
Committed: https://git.openstack.org/cgit/stackforge/fuel-astute/commit/?id=6ddf5d5a60ca67fec4b25bcf5fcda822e46d87e6
Submitter: Jenkins
Branch: master

commit 6ddf5d5a60ca67fec4b25bcf5fcda822e46d87e6
Author: Łukasz Oleś <email address hidden>
Date: Wed Apr 9 17:01:28 2014 +0200

    Fix for rabbitmq3.

    Send data in next EventMachine loop. Without this, sending hangs for 10 minutes.

    Closes-Bug: #1278336
    Change-Id: Ic2dbe4e7a922243573b38ac4a43e91d8156c2132

Changed in fuel:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/84707
Committed: https://git.openstack.org/cgit/stackforge/fuel-library/commit/?id=5b3098c837cc011e66643e22eb1d749bb342f4f7
Submitter: Jenkins
Branch: master

commit 5b3098c837cc011e66643e22eb1d749bb342f4f7
Author: Vladimir Sharshov <email address hidden>
Date: Fri Mar 28 12:53:12 2014 +0400

    RabbitMQ 3 support

    RabbitMQ 3 do not support such big TTL which we used before.
    Big TTL was need to solve problem with node time dissynchronization.
    Now we use NTP to resolve this issue. That is why this value
    can be reduced.

    Related-Bug: #1278336
    Related-Bug: #1276770
    Change-Id: Iee79f14929e9f1ac5e5e7dd07aee37f641d3b2a8

Reviewed: https://review.openstack.org/84717
Committed: https://git.openstack.org/cgit/stackforge/fuel-main/commit/?id=f3ae209e713819da72875e4f2dc2b7e2b0371651
Submitter: Jenkins
Branch: master

commit f3ae209e713819da72875e4f2dc2b7e2b0371651
Author: Vladimir Sharshov <email address hidden>
Date: Mon Mar 31 15:40:45 2014 +0400

    RabbitMQ 3 support

    RabbitMQ 3 do not support such big TTL which we used before.
    Big TTL was need to solve problem with node time dissynchronization.
    Now we use NTP to resolve this issue. That is why this value
    can be reduced.

    Related-Bug: #1278336
    Related-Bug: #1276770
    Change-Id: I0a56b88247d9839bc3282294cdb8592ed2701c3a

Updated status according to Dmitry's backport awaiting for review for 4.1.1

Changed in fuel:
milestone: 5.0 → 4.1.1
status: Fix Committed → In Progress
assignee: Łukasz Oleś (loles) → Dmitry Borodaenko (dborodaenko)
tags: added: backports-4.1.1 ha

Reviewed: https://review.openstack.org/87383
Committed: https://git.openstack.org/cgit/stackforge/fuel-web/commit/?id=93a01d7f5e58328f2ea53a10b266dfcc61df343d
Submitter: Jenkins
Branch: stable/4.1

commit 93a01d7f5e58328f2ea53a10b266dfcc61df343d
Author: Dmitry Borodaenko <email address hidden>
Date: Mon Apr 14 13:48:38 2014 -0700

    Fix for rabbitmq3

    Send data in next EventMachine loop. Without this, sending hangs for 10 minutes.

    Closes-Bug: #1278336
    Change-Id: Ic2dbe4e7a922243573b38ac4a43e91d8156c2132

Reviewed: https://review.openstack.org/87371
Committed: https://git.openstack.org/cgit/stackforge/fuel-library/commit/?id=af53380a11c2a147081a49a6242e22efb9cbad64
Submitter: Jenkins
Branch: stable/4.1

commit af53380a11c2a147081a49a6242e22efb9cbad64
Author: Vladimir Sharshov <email address hidden>
Date: Fri Mar 28 12:53:12 2014 +0400

    RabbitMQ 3 support

    RabbitMQ 3 do not support such big TTL which we used before.
    Big TTL was need to solve problem with node time dissynchronization.
    Now we use NTP to resolve this issue. That is why this value
    can be reduced.

    Related-Bug: #1278336
    Related-Bug: #1276770
    Change-Id: Iee79f14929e9f1ac5e5e7dd07aee37f641d3b2a8

Reviewed: https://review.openstack.org/87379
Committed: https://git.openstack.org/cgit/stackforge/fuel-main/commit/?id=3b872b132c22f9014b82862b492ae2889226ae2f
Submitter: Jenkins
Branch: stable/4.1

commit 3b872b132c22f9014b82862b492ae2889226ae2f
Author: Vladimir Sharshov <email address hidden>
Date: Mon Mar 31 15:40:45 2014 +0400

    RabbitMQ 3 support

    RabbitMQ 3 do not support such big TTL which we used before.
    Big TTL was need to solve problem with node time dissynchronization.
    Now we use NTP to resolve this issue. That is why this value
    can be reduced.

    Related-Bug: #1278336
    Related-Bug: #1276770
    Change-Id: I0a56b88247d9839bc3282294cdb8592ed2701c3a

Roman, all RabbitMQ 3.x related fixes were backported to stable/4.1, please upload RabbitMQ 3.2 rpm and deb packages to the 4.1.1 repository. BTW we currently have 3.2.3 in 5.0, should we upgrade to 3.2.4? I'm assuming upgrading to 3.3 should be postponed until 5.1.

Changed in fuel:
assignee: Dmitry Borodaenko (dborodaenko) → Roman Vyalov (r0mikiam)
Roman Vyalov (r0mikiam) on 2014-04-25
Changed in fuel:
status: In Progress → Fix Committed
Andrew Woodward (xarses) on 2014-05-07
summary: - Long reciever tasks update
+ RabbitMQ3 causes deployment issues
Mike Scherbakov (mihgen) on 2014-05-08
tags: added: release-notes
Meg McRoberts (dreidellhasa) wrote :

Marked as Fixed Issue in 5.0 Release Notes.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers